Package org.eclipse.pde.core.plugin

## Interface IFragment

All Superinterfaces:
  `IAdaptable`, `IExtensions`, `IIdentifiable`, `IPluginBase`, `IPluginObject`, `IWritable`

    public interface IFragment
    extends IPluginBase

A model object that represents the content of the fragment.xml file.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static String` `P_PLUGIN_ID` A property that will be used to notify that a plugin id has changed.
`static String` `P_PLUGIN_VERSION` A property that will be used to notify that a plugin version has changed.
`static String` `P_RULE` A property that will be used to notify that a plugin version match rule has changed.

### Fields inherited from interface org.eclipse.pde.core.plugin.IExtensions

`P_EXTENSION_ORDER`

### Fields inherited from interface org.eclipse.pde.core.IIdentifiable

`P_ID`

### Fields inherited from interface org.eclipse.pde.core.plugin.IPluginBase

`P_IMPORT_ORDER, P_LIBRARY_ORDER, P_PROVIDER, P_SCHEMA_VERSION, P_VERSION`

### Fields inherited from interface org.eclipse.pde.core.plugin.IPluginObject

`P_NAME`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getPluginId()` Returns the id of the fragment host.
`String` `getPluginVersion()` Returns the version of the fragment host.
`int` `getRule()` Returns an optional version match rule as defined in IMatchRule interface.
`void` `setPluginId​(String id)` Sets the id of the plug-in that will be the target of this fragment.
`void` `setPluginVersion​(String version)` Sets the version of the plug-in that will be the target of this fragment.'
`void` `setRule​(int rule)` Sets the optional version match rule as defined in IMatchRules.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.pde.core.plugin.IExtensions

`add, add, getExtensionPoints, getExtensions, getIndexOf, remove, remove, swap`

### Methods inherited from interface org.eclipse.pde.core.IIdentifiable

`getId, setId`

### Methods inherited from interface org.eclipse.pde.core.plugin.IPluginBase

`add, add, exportsExternalAnnotations, getImports, getLibraries, getProviderName, getSchemaVersion, getVersion, remove, remove, setProviderName, setSchemaVersion, setVersion, swap, swap`

### Methods inherited from interface org.eclipse.pde.core.plugin.IPluginObject

`getModel, getName, getParent, getPluginBase, getPluginModel, getResourceString, getTranslatedName, isInTheModel, isValid, setInTheModel, setName`

### Methods inherited from interface org.eclipse.pde.core.IWritable

`write`

### Field Detail

#### P_PLUGIN_ID

    static final String P_PLUGIN_ID

A property that will be used to notify that a plugin id has changed.

See Also:
  Constant Field Values

#### P_PLUGIN_VERSION

    static final String P_PLUGIN_VERSION

A property that will be used to notify that a plugin version has changed.

See Also:
  Constant Field Values

#### P_RULE

    static final String P_RULE

A property that will be used to notify that a plugin version match rule has changed.

See Also:
  Constant Field Values

### Method Detail

#### getPluginId

    String getPluginId()

Returns the id of the fragment host.

Returns:
  the host id

#### getPluginVersion

    String getPluginVersion()

Returns the version of the fragment host.

Returns:
  the host version

#### getRule

    int getRule()

Returns an optional version match rule as defined in IMatchRule interface.

Returns:
  the match rule

#### setPluginId

    void setPluginId​(String id)
              throws CoreException

Sets the id of the plug-in that will be the target of this fragment.

Parameters:
  `id` - the id of the referenced plug-in.
Throws:
  `CoreException` - attempts to modify a read-only fragment will result in an exception

#### setPluginVersion

    void setPluginVersion​(String version)
                   throws CoreException

Sets the version of the plug-in that will be the target of this fragment.'

Parameters:
  `version` - the version of the referenced version.
Throws:
  `CoreException` - attempts to modify a read-only fragment will result in an exception

#### setRule

    void setRule​(int rule)
          throws CoreException

Sets the optional version match rule as defined in IMatchRules. This rule will be used when attempting to match the referenced plug-in version.

Parameters:
  `rule` - the match rule to be used when locating the referenced the plug-in.
Throws:
  `CoreException` - attempts to modify a read-only fragment will result in an exception